> ## Documentation Index
> Fetch the complete documentation index at: https://docs.canton.network/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v0/lsu

> Retrieve information on the next logical synchronizer upgrade (LSU)




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml get /v0/lsu
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/lsu:
    get:
      tags:
        - internal
        - scan
      summary: GET /v0/lsu
      description: |
        Retrieve information on the next logical synchronizer upgrade (LSU)
      operationId: getLsu
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetLsuResponse'
components:
  schemas:
    GetLsuResponse:
      type: object
      properties:
        lsu:
          $ref: '#/components/schemas/Lsu'
          description: Info on the next LSU
    Lsu:
      type: object
      required:
        - topologyFreezeTime
        - upgradeTime
        - successorPhysicalSynchronizerId
      properties:
        topologyFreezeTime:
          description: The time when topology freeze starts
          type: string
          format: date-time
        upgradeTime:
          description: The time at which to upgrade
          type: string
          format: date-time
        successorPhysicalSynchronizerId:
          description: The successor physical synchronizer ID
          type: string

````